<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:55 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>HexagonGrid (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HexagonGrid (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HexagonGrid.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/io/Hexagon.Corner.html" title="class in towerwarspp.io"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/io/HexagonGrid.html" target="_top">Frames</a></li>
<li><a href="HexagonGrid.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.io</div>
<h2 title="Class HexagonGrid" class="title">Class HexagonGrid</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>towerwarspp.io.HexagonGrid</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">HexagonGrid</span>
extends java.lang.Object</pre>
<div class="block">Class <a href="../../towerwarspp/io/HexagonGrid.html" title="class in towerwarspp.io"><code>HexagonGrid</code></a> creates the Grid of the Hexagons.
 It calculates the Center coordinates of each <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a>.
 The Class creates the Arrays of <code>Polygon</code> which can be drawn in the <a href="../../towerwarspp/io/GraphicIO.html" title="class in towerwarspp.io"><code>GraphicIO</code></a>.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>0.7 July 14th 2017</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Kai Kuhlmann</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/HexagonGrid.html#debugInstance">debugInstance</a></span></code>
<div class="block">Debug Instance of <a href="../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><code>Debug</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io">Hexagon</a>[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/HexagonGrid.html#hexagons">hexagons</a></span></code>
<div class="block">Array of <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.awt.Polygon[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/HexagonGrid.html#markedPolygon">markedPolygon</a></span></code>
<div class="block">Array of drawable <code>Polygon</code> which are the <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a> on which are the
 Tokens of the Player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.awt.Polygon[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/HexagonGrid.html#polygon">polygon</a></span></code>
<div class="block">Array of drawable <code>Polygon</code> which are the <a href="../../towerwarspp/io/HexagonGrid.html" title="class in towerwarspp.io"><code>HexagonGrid</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/HexagonGrid.html#polygonSize">polygonSize</a></span></code>
<div class="block">The Size of each <code>Polygon</code> and <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a></div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../towerwarspp/io/HexagonGrid.html#HexagonGrid-int-int-">HexagonGrid</a></span>(int&nbsp;boardSize,
           int&nbsp;polySize)</code>
<div class="block">The Constructor of the <a href="../../towerwarspp/io/HexagonGrid.html" title="class in towerwarspp.io"><code>HexagonGrid</code></a>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>private int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/HexagonGrid.html#calculateCenterCoordinates-int-int-">calculateCenterCoordinates</a></span>(int&nbsp;x,
                          int&nbsp;y)</code>
<div class="block">Calculates the Coordinates in Pixel of the <a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io"><code>Hexagon.Center</code></a> based on the Coordinates on the <a href="../../towerwarspp/io/HexagonGrid.html" title="class in towerwarspp.io"><code>HexagonGrid</code></a>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>(package private) <a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Hexagon.Center</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/HexagonGrid.html#getCenter-int-int-">getCenter</a></span>(int&nbsp;x,
         int&nbsp;y)</code>
<div class="block">Get an <a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io"><code>Hexagon.Center</code></a> on the specific coordinates.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>(package private) java.awt.Polygon[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/HexagonGrid.html#getMarkedPolygon--">getMarkedPolygon</a></span>()</code>
<div class="block">Getter for the Array of <code>Polygon</code> which are the marked Polygons on which are Tokens.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>(package private) java.awt.Polygon[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/HexagonGrid.html#getPolygon--">getPolygon</a></span>()</code>
<div class="block">Getter for the Array of <code>Polygon</code> for drawing.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/HexagonGrid.html#setPolygon-int-int-">setPolygon</a></span>(int&nbsp;x,
          int&nbsp;y)</code>
<div class="block">Setter for <code>Polygon</code>
 Creates a <code>Polygon</code> with six Edges based on the Corners of a <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a>
 and creates the <code>Polygon</code> which are the <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a> on which are Tokens.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/HexagonGrid.html#updatePolygonSize-int-">updatePolygonSize</a></span>(int&nbsp;polySize)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="hexagons">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hexagons</h4>
<pre>private&nbsp;<a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io">Hexagon</a>[][] hexagons</pre>
<div class="block">Array of <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a></div>
</li>
</ul>
<a name="polygon">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>polygon</h4>
<pre>private&nbsp;java.awt.Polygon[][] polygon</pre>
<div class="block">Array of drawable <code>Polygon</code> which are the <a href="../../towerwarspp/io/HexagonGrid.html" title="class in towerwarspp.io"><code>HexagonGrid</code></a>.</div>
</li>
</ul>
<a name="markedPolygon">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>markedPolygon</h4>
<pre>private&nbsp;java.awt.Polygon[][] markedPolygon</pre>
<div class="block">Array of drawable <code>Polygon</code> which are the <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a> on which are the
 Tokens of the Player.</div>
</li>
</ul>
<a name="polygonSize">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>polygonSize</h4>
<pre>private&nbsp;int polygonSize</pre>
<div class="block">The Size of each <code>Polygon</code> and <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a></div>
</li>
</ul>
<a name="debugInstance">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>debugInstance</h4>
<pre>private&nbsp;<a href="../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a> debugInstance</pre>
<div class="block">Debug Instance of <a href="../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><code>Debug</code></a></div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="HexagonGrid-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>HexagonGrid</h4>
<pre>HexagonGrid(int&nbsp;boardSize,
            int&nbsp;polySize)</pre>
<div class="block">The Constructor of the <a href="../../towerwarspp/io/HexagonGrid.html" title="class in towerwarspp.io"><code>HexagonGrid</code></a>.
 Set the Size of each <code>Polygon</code> and <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a>.
 Initialize the Arrays for the <code>Polygon</code> and <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a>.
 Starts the calculation of the coordinates of the <a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io"><code>Hexagon.Center</code></a>.
 Creates each <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a> and saves them in the Array of <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>boardSize</code> - The Size of the Board</dd>
<dd><code>polySize</code> - The Size of each <code>Polygon</code> or <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getPolygon--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPolygon</h4>
<pre>java.awt.Polygon[][]&nbsp;getPolygon()</pre>
<div class="block">Getter for the Array of <code>Polygon</code> for drawing.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Array of <code>Polygon</code></dd>
</dl>
</li>
</ul>
<a name="getMarkedPolygon--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMarkedPolygon</h4>
<pre>java.awt.Polygon[][]&nbsp;getMarkedPolygon()</pre>
<div class="block">Getter for the Array of <code>Polygon</code> which are the marked Polygons on which are Tokens.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Array of <code>Polygon</code></dd>
</dl>
</li>
</ul>
<a name="setPolygon-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPolygon</h4>
<pre>private&nbsp;void&nbsp;setPolygon(int&nbsp;x,
                        int&nbsp;y)</pre>
<div class="block">Setter for <code>Polygon</code>
 Creates a <code>Polygon</code> with six Edges based on the Corners of a <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a>
 and creates the <code>Polygon</code> which are the <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a> on which are Tokens.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - X-Coordinate of the <a href="../../towerwarspp/io/HexagonGrid.html" title="class in towerwarspp.io"><code>HexagonGrid</code></a></dd>
<dd><code>y</code> - Y-Coordinate of the <a href="../../towerwarspp/io/HexagonGrid.html" title="class in towerwarspp.io"><code>HexagonGrid</code></a></dd>
</dl>
</li>
</ul>
<a name="calculateCenterCoordinates-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculateCenterCoordinates</h4>
<pre>private&nbsp;int[]&nbsp;calculateCenterCoordinates(int&nbsp;x,
                                         int&nbsp;y)</pre>
<div class="block">Calculates the Coordinates in Pixel of the <a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io"><code>Hexagon.Center</code></a> based on the Coordinates on the <a href="../../towerwarspp/io/HexagonGrid.html" title="class in towerwarspp.io"><code>HexagonGrid</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - X-Coordinate of the <a href="../../towerwarspp/io/HexagonGrid.html" title="class in towerwarspp.io"><code>HexagonGrid</code></a></dd>
<dd><code>y</code> - Y-Coordinate of the <a href="../../towerwarspp/io/HexagonGrid.html" title="class in towerwarspp.io"><code>HexagonGrid</code></a></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Array of the X and Y coordinates of the Center in Pixel</dd>
</dl>
</li>
</ul>
<a name="updatePolygonSize-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updatePolygonSize</h4>
<pre>void&nbsp;updatePolygonSize(int&nbsp;polySize)</pre>
</li>
</ul>
<a name="getCenter-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getCenter</h4>
<pre><a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Hexagon.Center</a>&nbsp;getCenter(int&nbsp;x,
                         int&nbsp;y)</pre>
<div class="block">Get an <a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io"><code>Hexagon.Center</code></a> on the specific coordinates.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - X-Coordinate of the <a href="../../towerwarspp/io/HexagonGrid.html" title="class in towerwarspp.io"><code>HexagonGrid</code></a></dd>
<dd><code>y</code> - Y-Coordinate of the <a href="../../towerwarspp/io/HexagonGrid.html" title="class in towerwarspp.io"><code>HexagonGrid</code></a></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io"><code>Hexagon.Center</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HexagonGrid.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/io/Hexagon.Corner.html" title="class in towerwarspp.io"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/io/HexagonGrid.html" target="_top">Frames</a></li>
<li><a href="HexagonGrid.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
